<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

$id = ( int ) $_GET['id'];

$pr_forum_cat = mysql_query( "SELECT id FROM forum_cat WHERE id = '" . $id . "'" );
if ( mysql_num_rows( $pr_forum_cat ) > 0 ) {
    if ( $config_user['forumblock'] == 1 ) {
        echo '<div class="error_modal_ultimate" style="width: 638px; display: ;">Ошибка! Вам запрещено создавать темы.</div>';
    } else {
    ?>

	  <div class="modal fade bd-example-modal-lg" id="modalf" >
		  <div class="modal-dialog " role="document" >
			<div class="modal-content" style="width: 687px; margin-left: -54px;">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				  <span aria-hidden="true">&times;</span>
				</button>
				<h4 class="modal-title">Новая тема</h4>
			  </div>
			  
			  <div class="modal-body"><!--Содержимое модального окна начало-->
				<div class="arrow_d_gift"></div>
				  
				  <div class="form-group">
					  <label for="message-text" class="form-control-label">Название темы:</label>
					  <div class="col-sm-10 input-group">
						<input type="text" class="form-control" id="title" style="height: 19px; width: 620px; border-radius: 0.25rem;">
					  </div>
					</div>
				  <div class="form-group">
					<label for="message-text" class="form-control-label" style="">Текст сообщения:</label>
					<div class="bbcode-panel-forum-topic-add ">
						<span onclick="qbb('[b]','[/b]','message-text')" id="bb_b" title="Полужирный" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
						<span onclick="qbb('[i]','[/i]','message-text')" id="bb_i" title="Наклонный" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
						<span onclick="qbb('[u]','[/u]','message-text')" id="bb_u" title="Подчеркнутый" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
						<span onclick="qbb('[s]','[/s]','message-text')" id="bb_s" title="Зачеркнутый" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
						<span onclick="qbb('[sub]','[/sub]','message-text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
						<span onclick="qbb('[sup]','[/sup]','message-text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
						<span onclick="qbb('[quotet]','[/quotet]','message-text')" class="bb_quotet" id="quotet" title="Цитировать текст"><i class="fa fa-quote-left" aria-hidden="true"></i></span>
						<span onclick="forum.ShowSmilesTopic();" class="bb_quotet" id="" title=""><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles" ></div></span>
						<span onclick="qbb('[video]','[/video]','message-text')" class="bb_youtube" id="video" title="Вставить видео (поддерживаются видео с таких сервисов как – youtube, vk, facebook, rutube, mail.ru и другие.  Просто вставьте ссылку на видео, в теги video)."><i class="fa fa-youtube-play" aria-hidden="true"></i></span>
						<span onclick="qbb('[images]','[/images]','message-text')" class="bb_youtube" id="images_forum_post" title="Вставить изображение (поддерживаются форматы jpg/png/bmp/gif)."><i class="fa fa-picture-o" aria-hidden="true"></i></span>
						<span onclick="qbb('[a]','[/a]','message-text')" class="bb_link" id="video" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
						<div id="allmsgforum" class="allmsgforum">3000</div>
					</div>
					<textarea class="form-control" style="width: 631px; height: 190px; margin-top: 8px; padding-top: 41px;" id="message-text" onkeyup="descchange(this);"></textarea>
				  </div>
				  
				  <div class="error_modal_ultimate" style="width: 638px;"> </div>
				  <p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Тема создана!</p>
			  </div><!--Содержимое модального окна конец-->
			  
			  <div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
				<button type="button" class="btn btn-primary" id="send_walls_gift" onclick="send_msg();">Создать тему</button>
			  </div>
			</div>
		  </div>
	  </div>
	  <script type="text/javascript">
		$(document).ready(function(){
			$('.bb-b-forum').tipTip({defaultPosition:'right'});
			$('.bb-i-forum').tipTip({defaultPosition:'right'});
			$('.bb-u-forum').tipTip({defaultPosition:'right'});
			$('.bb-s-forum').tipTip({defaultPosition:'right'});
			$('.bb-sub-forum').tipTip({defaultPosition:'right'});
			$('.bb-sup-forum').tipTip({defaultPosition:'right'});
			$('.bb_quotet').tipTip({defaultPosition:'right'});
			$('.bb_youtube').tipTip({defaultPosition:'right'});
			$('.bb_link').tipTip({defaultPosition:'right'});
			
			var options = {
				show : true
			}
			$('#modalf').modal(options);
		});

		function send_msg() {
			$.post('ajax.php?func=newtopic',{
				id : <?=$id?>,
				title: $('#title').val(),
				msg: $('#message-text').val()
				
			}, function(data){
				if (data == 1){
					$(".form-group").fadeOut(0);
					$("#send_walls_gift").fadeOut(0);
					$("#success_text").fadeIn(300);
					setTimeout(function() {
						location.href = ('/topic<?=$id?>');
					}, 4000);
				} else
				if (data == 2){
					$('.error_modal_ultimate').fadeIn().html('Описание темы не может быть пустым!');
					setTimeout(function() {
						$('.error_modal_ultimate').fadeOut().html('&nbsp;');
					}, 4000);
				}else
				if (data == 3){
					$('.error_modal_ultimate').fadeIn().html('Заголовок темы не может быть пустым!');
					setTimeout(function() {
						$('.error_modal_ultimate').fadeOut().html('&nbsp;');
					}, 4000);
				}else
				if (data == 4){
					$('.error_modal_ultimate').fadeIn().html('Нельзя так часто создавать темы, мы расцениваем это как спам!');
					setTimeout(function() {
						$('.error_modal_ultimate').fadeOut().html('&nbsp;');
					}, 4000);
				} else {
					$('.error_modal_ultimate').fadeIn().html(data);
					setTimeout(function() {
						$('.error_modal_ultimate').fadeOut().html('&nbsp;');
					}, 4000);
				}
			});
			return false;
		}
		
		function descchange(elem) {
			if (elem.value.length > 3000) {
				elem.value = elem.value.substr(0,3000);
			}
			$('#allmsgforum').html(3000-elem.value.length);
		}
		tm = setInterval(function() {
			if (location.pathname.indexOf('topic') !== -1) {
				if ($('#message-text').val() != '') {
					descchange(document.getElementById('allmsgforum'));
				}
			} else {
				clearInterval(tm);
			}
		}, 100);

	  </script>  
     <?  
	}
} else {
    echo '<div class="error_modal_ultimate" style="width: 638px; display: ;">Ошибка! Тема не существует или удалена.</div>';
} 
?>
	
